# Interface ICefBinaryValue

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefBinaryValue = interface(ICefBaseRefCounted)`

## Description

Interface representing a binary value. Can be used on any process and thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_values_capi.h">CEF source file: /include/capi/cef_values_capi.h (cef_binary_value_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefBinaryValue

## Overview

### Methods

| `function IsValid: Boolean;`
| `function IsOwned: Boolean;`
| `function IsSame(const that: ICefBinaryValue): Boolean;`
| `function IsEqual(const that: ICefBinaryValue): Boolean;`
| `function Copy: ICefBinaryValue;`
| `function GetRawData: Pointer;`
| `function GetSize: NativeUInt;`
| `function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;`

### Properties

| `property Size : NativeUInt read GetSize;`

## Description

### Methods

| `function IsValid: Boolean;`
Returns true (1) if this object is valid. This object may become invalid if the underlying data is owned by another object (e.g. list or dictionary) and that other object is then modified or destroyed. Do not call any other functions if this function returns false (0). ###### Attributes GUID['{974AA40A-9C5C-4726-81F0-9F0D46D7C5B3}']

| `function IsOwned: Boolean;`
Returns true (1) if this object is currently owned by another object.

| `function IsSame(const that: ICefBinaryValue): Boolean;`
Returns true (1) if this object and |that| object have the same underlying data.

| `function IsEqual(const that: ICefBinaryValue): Boolean;`
Returns true (1) if this object and |that| object have an equivalent underlying value but are not necessarily the same object.

| `function Copy: ICefBinaryValue;`
Returns a copy of this object. The data in this object will also be copied.

| `function GetRawData: Pointer;`
Returns a pointer to the beginning of the memory block. The returned pointer is valid as long as the ICefBinaryValue is alive.

| `function GetSize: NativeUInt;`
Returns the data size.

| `function GetData(buffer: Pointer; bufferSize, dataOffset: NativeUInt): NativeUInt;`
Read up to |buffer_size| number of bytes into |buffer|. Reading begins at the specified byte |data_offset|. Returns the number of bytes read.

### Properties

| `property Size : NativeUInt read GetSize;`
Returns the data size.

Generated by PasDoc 0.16.0-snapshot.